# Interface DwgMetadata2D

Metadata for a 2D DWG

interface DwgMetadata2D {
hasParseError: boolean;
height: number;
margin: { leftRight: number; topBottom: number };
offset: { left: number; top: number };
parserVersion?: VersionInfo;
status:
| "Unknown"
| "Processing"
| "Processed"
| "Failed"
| "NotSupported"
| "Timeout"
| "MemoryLimitExceeded"
| "Fatal";
type: "2d";
url: { svg: string };
version: DwgVersion;
width: number;
xrefs: {
[relativeUrl: string]: {
loaded: boolean;
name: string;
overlay: boolean;
};
};
}

#### Hierarchy (View Summary)

- DwgMetadataBase
  - DwgMetadata2D

##### Index

### Properties

hasParseError
height
margin
offset
parserVersion?
status
type
url
version
width
xrefs

## Properties

### `Readonly` hasParseError

hasParseError: boolean

Set to `true` if the change has not been parsed correctly. For example if this happens for a .ifc or a .dwg file then it will not be possible to load the file.

Inherited from DwgMetadataBase.hasParseError

### `Readonly` height

height: number

Height of DWG

### `Readonly` margin

margin: { leftRight: number; topBottom: number }

DWG margin

#### Type declaration

- ##### `Readonly` leftRight: number

  Left and right margin

- ##### `Readonly` topBottom: number

  Top and bottom margin

### `Readonly` offset

offset: { left: number; top: number }

DWG offset

#### Type declaration

- ##### `Readonly` left: number

  Left

- ##### `Readonly` top: number

  Top

### `Optional` `Readonly` parserVersion

parserVersion?: VersionInfo

Version of the parser that parsed this DWG file. Useful when we load DWG files which was parsed with old parsers to keep backwards compatibility. May be undefined if file was parsed before this property was introduced.

Inherited from DwgMetadataBase.parserVersion

### status

status:
| "Unknown"
| "Processing"
| "Processed"
| "Failed"
| "NotSupported"
| "Timeout"
| "MemoryLimitExceeded"
| "Fatal"

Indicates outcome of how the system processed, has not yet processed or is processing the IFC file.

Inherited from DwgMetadataBase.status

### `Readonly` type

type: "2d"

Signifies that it is a 2D DWG.

### `Readonly` url

url: { svg: string }

URL for the geometry file to be rendered

### `Readonly` version

version: DwgVersion

DWG version the DWG was last saved in.

Inherited from DwgMetadataBase.version

### `Readonly` width

width: number

Width of DWG

### `Readonly` xrefs

xrefs: {
[relativeUrl: string]: {
loaded: boolean;
name: string;
overlay: boolean;
};
}

Relative URLs to the xrefs

#### Type declaration

- ##### [relativeUrl: string]: { loaded: boolean; name: string; overlay: boolean }

  Relative URL for the xref. To construct the absolute URLs of the xrefs use `relativeUrl` together with parent BimChange.url (excluding the file name)

  #### Type declaration

  - ##### `Readonly` loaded: boolean

    Whether xref should be initially loaded or not.

  - ##### `Readonly` name: string

    Name of the xref. Often same as file name (but can be different).

  - ##### `Readonly` overlay: boolean

    Whether xref is a overlay or not

Inherited from DwgMetadataBase.xrefs